Skip to main content
GET
List Products in Collection

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

productCollectionId
string
required

Unique product collection ID.

Example:

"pc_41V4DiQQO8YGqj0J2oZD57j4"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
type,
-type,
code,
-code,
campaign,
-campaign,
category,
-category
starting_after
string<date-time>

Timestamp representing the date and time to use in starting_after cursor to get more data. Represented in ISO 8601 format.

Example:

"2023-12-22T10:13:06.487Z"

Response

Returns a dictionary of products and/or SKUs grouped in the collection with each product's/SKU's details.

Response body schema for GET v1/product-collections/{productCollectionId}/products.

object
string
default:list
required

The type of the object represented by JSON. This object stores information about products and SKUs.

data_ref
string
default:data
required

Identifies the name of the JSON property that contains the array of products and SKUs.

data
(Product without Skus Object · object | SKU with parent product. · object)[]
required

A dictionary that contains an array of products and SKUs.

total
integer
required

Total number of products & SKUs in the product collection.

Last modified on June 22, 2026